Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004828 [JEDI VCL] 00 JVCL Components minor always 2009-06-18 00:31 2009-10-02 10:15
Reporter pierre_42 View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.36
Summary 0004828: TJvDBGridCSVExport.DoExport with ShowColumnName
Description There is a shift between the first line witth the column names and the line of data if type of a column is not exportable.

Reason:
Test for name of column to include is made on property :
FRecordColumns[I].Visible

Test for data to include is made on property :
FRecordColumns[I].Exportable

Solution:
FRecordColumns[I].Exportable must be used for the two tests.
Additional Information In complement I think it will be interesting, in this CSVExport, to have a parameter to specify if MemoField (ftMemo, ftWideMemo) are to be exported.

These field can contain character new line which can be disturbing in the CSV File.

Thanks
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0015762)
obones (administrator)
2009-07-03 17:26

Please provide the zipped sources of a sample application showing this
(0015901)
obones (administrator)
2009-08-04 09:36

Hello, any news?
(0015911)
pierre_42 (reporter)
2009-08-04 11:19

It's difficult to send a Zipped file with this sample. I am working with big database (Oracle Database).

But I think it is an evidence. Columns used for the name and colums used for the data are not the same. For the name it's visible columns and for the data it's exportable data. (Sample: binary field can be visible but they are not exportable)
(0016133)
obones (administrator)
2009-09-22 15:42

Please at least provide a patch, it seems this "problem" is present in the other exporters as well
(0016217)
AHUser (developer)
2009-10-02 10:15

This is now fixed in SVN.

- Issue History
Date Modified Username Field Change
2009-06-18 00:31 pierre_42 New Issue
2009-07-03 17:26 obones Note Added: 0015762
2009-07-03 17:26 obones Status new => feedback
2009-08-04 09:36 obones Note Added: 0015901
2009-08-04 11:19 pierre_42 Note Added: 0015911
2009-09-22 15:42 obones Note Added: 0016133
2009-10-02 10:15 AHUser Note Added: 0016217
2009-10-02 10:15 AHUser Status feedback => resolved
2009-10-02 10:15 AHUser Fixed in Version => Daily / SVN
2009-10-02 10:15 AHUser Resolution open => fixed
2009-10-02 10:15 AHUser Assigned To => AHUser


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker